Move nodes to a group for a Kubernetes cluster
POST/v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/move
To move one or more nodes into a different node group, send a POST request to /v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/move. Specify a cluster in the path parameter, then provide node IDs and a target node group ID in the request body.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
kubernetes_cluster_id | stringA unique identifier of a Kubernetes cluster. To list all cluster IDs, use the relevant request. |
Request Body
| Field | Details |
|---|---|
node_ids | stringAn array of node identifiers to be moved to the target node group. To list all node IDs, use the relevant request. |
node_group_id | stringA unique identifier of the target node group. To list all node group IDs, use the relevant request. |
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/kubernetes_clusters/JxboYjeg/nodes/move" \ -H "Content-Type: application/json" \ -d '{ "node_ids": [ "jneg56bw", "olej25ej" ], "node_group_id": "5xe73je7" }'[ { "id": "jneg56bw", "number": 95, "hostname": "node95", "configuration": "SSD.50", "type": "cloud", "role": "node", "status": "active", "private_ipv4_address": "127.0.76.38", "public_ipv4_address": "127.0.78.39", "location_id": 1315, "location_code": "location2678", "ref_id": "X7axGrey", "cluster_id": "JxboYjeg", "node_group": { "id": "5xe73je7", "name": "node-group-84", "description": null, "type": "static", "created_at": "2025-12-31T00:00:00.000Z", "updated_at": "2025-12-31T00:00:00.000Z" }, "labels": {}, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z" }, { "id": "olej25ej", "number": 96, "hostname": "node96", "configuration": "SSD.50", "type": "cloud", "role": "node", "status": "active", "private_ipv4_address": "127.0.79.39", "public_ipv4_address": "127.0.81.40", "location_id": 1315, "location_code": "location2678", "ref_id": "zPdy8WbQ", "cluster_id": "JxboYjeg", "node_group": { "id": "5xe73je7", "name": "node-group-84", "description": null, "type": "static", "created_at": "2025-12-31T00:00:00.000Z", "updated_at": "2025-12-31T00:00:00.000Z" }, "labels": {}, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z" }]